Bug 927022 - No framebuffer console present in VMware
Summary: No framebuffer console present in VMware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 18
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-24 21:58 UTC by nyuszika7h+redhat
Modified: 2013-04-03 04:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 04:23:39 UTC


Attachments (Terms of Use)
Screenshot of the issue (17.85 KB, image/png)
2013-03-24 21:58 UTC, nyuszika7h+redhat
no flags Details

Description nyuszika7h+redhat 2013-03-24 21:58:46 UTC
Created attachment 715700 [details]
Screenshot of the issue

Description of problem:
CONFIG_DRM_VMWGFX_FBCON is not enabled in the kernel's configuration, causing the framebuffer console to be non-functional when Xorg is running. I can confirm that getty is running at least on tty2-4, but all I get on tty2-12 is a "Welcome to GRUB!" screen, and I can't type anything.


Version-Release number of selected component (if applicable):
3.8.4-202.fc18.x86_64

How reproducible:
See the steps.

Steps to Reproduce:
1. Install Fedora in VMware. (I wasn't able to reproduce this on the live CD.)
2. Install VMware Tools. (Probably not needed.)
3. Start Xorg.
4. Switch to any of tty2-12.
  
Actual results:
A VGA console showing "Welcome to GRUB!".

Expected results:
A framebuffer console with a login prompt.

Additional info:

Comment 1 Justin M. Forbes 2013-03-25 17:35:41 UTC
This should be enabled in the next update.

Comment 2 Fedora Update System 2013-04-01 13:30:51 UTC
kernel-3.8.5-201.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.8.5-201.fc18

Comment 3 Fedora Update System 2013-04-01 22:34:16 UTC
Package kernel-3.8.5-201.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.8.5-201.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4645/kernel-3.8.5-201.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-03 04:23:41 UTC
kernel-3.8.5-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.